pyPgSQL giving error!

Harald Massa cpl.19.ghum at spamgourmet.com
Thu Jan 13 22:14:29 CET 2005


> I am using Redhat 9.0/python2.3. I installed pyPgSQL-2.4.tar.gz and it
> was successfull. Now when I am trying to import that module, I got:
> Type "help", "copyright", "credits" or "license" for more information.
>>>> from pyPgSQL import PgSQL
> Traceback (most recent call last):
>   File "<stdin>", line 1, in ?
>   File "pyPgSQL/PgSQL.py", line 391, in ?
>     from libpq import *
>   File "pyPgSQL/libpq/__init__.py", line 23, in ?
>     from libpq import *
> ImportError: No module named libpq

did you really do ./configure, make and make install?

where is libpq.*

was a postgres installation present while doing ./configure et all?




More information about the Python-list mailing list